scim::DummyIMEngineInstance Class Reference
IMEngine

`#include <scim_imengine.h>`

## Public Member Functions

| DummyIMEngineInstance (DummyIMEngineFactory *factory, const String &encoding, int id=-1)
virtual | ~DummyIMEngineInstance ()
virtual bool | process_key_event (const KeyEvent &key)
| Process a key event.
virtual void | focus_in ()
| Focus in this engine instance.
Public Member Functions inherited from scim::IMEngineInstanceBase
| IMEngineInstanceBase (IMEngineFactoryBase *factory, const String &encoding, int id=-1)
| Constructor.
virtual | ~IMEngineInstanceBase ()
| Virtual destructor.
virtual bool | set_encoding (const String &encoding)
| Set the working encoding for this instance.
String | get_encoding () const
| Get the working encoding of this instance.
int | get_id () const
| Get the unique id of this instance.
String | get_factory_uuid () const
| Get the UUID of the engine factory.
void | set_frontend_data (void *data)
| Attach a pointer to this IMEngineInstance, which is pointed to corresponding FrontEnd data.
void * | get_frontend_data (void)
| Retrieve the pointer previously attached by set_frontend_data();.
Connection | signal_connect_show_preedit_string (IMEngineSlotVoid *slot)
Connection | signal_connect_show_aux_string (IMEngineSlotVoid *slot)
Connection | signal_connect_show_lookup_table (IMEngineSlotVoid *slot)
Connection | signal_connect_hide_preedit_string (IMEngineSlotVoid *slot)
Connection | signal_connect_hide_aux_string (IMEngineSlotVoid *slot)
Connection | signal_connect_hide_lookup_table (IMEngineSlotVoid *slot)
Connection | signal_connect_update_preedit_caret (IMEngineSlotInt *slot)
Connection | signal_connect_update_preedit_string (IMEngineSlotWideStringAttributeList *slot)
Connection | signal_connect_update_aux_string (IMEngineSlotWideStringAttributeList *slot)
Connection | signal_connect_update_lookup_table (IMEngineSlotLookupTable *slot)
Connection | signal_connect_commit_string (IMEngineSlotWideString *slot)
Connection | signal_connect_forward_key_event (IMEngineSlotKeyEvent *slot)
Connection | signal_connect_register_properties (IMEngineSlotPropertyList *slot)
Connection | signal_connect_update_property (IMEngineSlotProperty *slot)
Connection | signal_connect_beep (IMEngineSlotVoid *slot)
Connection | signal_connect_start_helper (IMEngineSlotString *slot)
Connection | signal_connect_stop_helper (IMEngineSlotString *slot)
Connection | signal_connect_send_helper_event (IMEngineSlotStringTransaction *slot)
Connection | signal_connect_get_surrounding_text (IMEngineSlotGetSurroundingText *slot)
Connection | signal_connect_delete_surrounding_text (IMEngineSlotDeleteSurroundingText *slot)
virtual void | move_preedit_caret (unsigned int pos)
| Move the preedit caret in the preedit string.
virtual void | select_candidate (unsigned int index)
| Select a candidate in current lookup table.
virtual void | update_lookup_table_page_size (unsigned int page_size)
| Update the page size of current lookup table.
virtual void | lookup_table_page_up ()
| Flip the lookup table to the previous page.
virtual void | lookup_table_page_down ()
| Flip the lookup table to the next page.
virtual void | reset ()
| Reset this engine instance.
virtual void | focus_out ()
| Focus out this engine instance.
virtual void | trigger_property (const String &property)
| Trigger a property.
virtual void | process_helper_event (const String &helper_uuid, const Transaction &trans)
| Process the events sent from a Client Helper process.
virtual void | update_client_capabilities (unsigned int cap)
| Update the capabilities of current client application which is attached to this IMEngineInstance.
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::IMEngineInstanceBase
void | show_preedit_string ()
| Show the preedit string area.
void | show_aux_string ()
| Show the aux string area.
void | show_lookup_table ()
| Show the lookup table area.
void | hide_preedit_string ()
| Hide the preedit string area.
void | hide_aux_string ()
| Hide the aux string area.
void | hide_lookup_table ()
| Hide the lookup table area.
void | update_preedit_caret (int caret)
| Update the preedit caret position in the preedit string.
void | update_preedit_string (const WideString &str, const AttributeList &attrs=AttributeList())
| Update the content of the preedit string,.
void | update_aux_string (const WideString &str, const AttributeList &attrs=AttributeList())
| Update the content of the aux string,.
void | update_lookup_table (const LookupTable &table)
| Update the content of the lookup table,.
void | commit_string (const WideString &str)
| Commit a string to the client application.
void | forward_key_event (const KeyEvent &key)
| Forward a key event to the client application.
void | register_properties (const PropertyList &properties)
| Register all properties of this IMEngineInstance into the FrontEnd.
void | update_property (const Property &property)
| Update a registered property.
void | beep ()
| Generate a short beep.
void | start_helper (const String &helper_uuid)
| Start a Client Helper process.
void | stop_helper (const String &helper_uuid)
| Stop a Client Helper process which was started by start_helper.
void | send_helper_event (const String &helper_uuid, const Transaction &trans)
| Send an events transaction to a client helper process.
bool | get_surrounding_text (WideString &text, int &cursor, int maxlen_before=-1, int maxlen_after=-1)
| Retrieves context around the insertion point.
bool | delete_surrounding_text (int offset, int len)
| Ask the client to delete characters around the cursor position.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Constructor & Destructor Documentation

## DummyIMEngineInstance()

scim::DummyIMEngineInstance::DummyIMEngineInstance | ( | DummyIMEngineFactory * | factory,
|  | const String & | encoding,
|  | int | id = -1 )

## ~DummyIMEngineInstance()

virtual scim::DummyIMEngineInstance::~DummyIMEngineInstance | ( |  | ) |

virtual

## Member Function Documentation

## process_key_event()

virtual bool scim::DummyIMEngineInstance::process_key_event | ( | const KeyEvent & | key | ) |

virtual

Process a key event.

Parameters

  key | - the key event to be processed.

Returns
  true if the event is processed, otherwise the event is not processed and should be forward to client application.

Implements scim::IMEngineInstanceBase.

## focus_in()

virtual void scim::DummyIMEngineInstance::focus_in | ( |  | ) |

virtual

Focus in this engine instance.

This function should update/show/hide the status area, preedit area and lookup table, and update the full width punctuation/letter state.

Reimplemented from scim::IMEngineInstanceBase.

The documentation for this class was generated from the following file:

- scim_imengine.h